import pageRouter from './router.config';
import defaultSettings from './defaultSettings'; // https://umijs.org/config/

import path from 'path';

// ref: https://umijs.org/config/
export default {
  treeShaking: true,
  routes: pageRouter,
  alias: {
    src: path.resolve(__dirname, '../src'),
    components: path.resolve(__dirname, '../src/components'),
    utils: path.resolve(__dirname, '../src/utils'),
    assets: path.resolve(__dirname, '../src/assets'),
    themes: path.resolve(__dirname, '../src/themes'),
    public: path.resolve(__dirname, '../public'),
  },
  urlLoaderExcludes: [/.svg$/],
  chainWebpack(config) {
    config.module
      .rule('svg')
      .test(/.svg$/)
      .use('svg-sprite-loader')
      .loader('svg-sprite-loader');
  },
  plugins: [
    // ref: https://umijs.org/plugin/umi-plugin-react.html
    [
      'umi-plugin-react',
      {
        antd: true, // 启用后自动配置babel-plugin-import
        dva: true,
        dynamicImport: { webpackChunkName: true },
        title: 'yikao-react',
        dll: true,

        routes: {
          exclude: [
            /models\//,
            /services\//,
            /model\.(t|j)sx?$/,
            /service\.(t|j)sx?$/,
            /components\//,
          ],
        },
      },
    ],
  ],
};
