import React from 'react';
import { Tabs } from 'antd-mobile';
import BasicList from './basic';
import KeyList from './key';
import PracticeList from './practice';

import styles from './hospitalFinalExam.less';
const tabs = [{ title: '基本题型' }, { title: '重点题型' }, { title: '模拟考试' }];

const tabStyle = {
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'center',
  height: '100%',
  backgroundColor: '#fff',
};
const Index = () => {
  return (
    <div className={styles.root}>
      <Tabs
        tabs={tabs}
        initialPage={1}
        onChange={(tab, index) => {
          console.log('onChange', index, tab);
        }}
        onTabClick={(tab, index) => {
          console.log('onTabClick', index, tab);
        }}
      >
        <div style={tabStyle}>
          <BasicList />
        </div>
        <div style={tabStyle}>
          <KeyList />
        </div>
        <div style={tabStyle}>
          <PracticeList />
        </div>
      </Tabs>
    </div>
  );
};

export default Index;
